Bug 25583 - When ClaimReturnedLostValue is not set, the claim returned tab doesn't appear
Summary: When ClaimReturnedLostValue is not set, the claim returned tab doesn't appear
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Victor Grousset/tuxayo
URL:
Keywords:
Depends on: 14697
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-22 11:06 UTC by Katrin Fischer
Modified: 2020-12-17 16:40 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.01,20.05.07


Attachments
Bug 25583: Disable the "claim returned" button if the feature is disabled (1.85 KB, patch)
2020-11-20 08:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25583: Disable the "claim returned" button if the feature is disabled (1.92 KB, patch)
2020-11-20 11:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25583: Disable the "claim returned" button if the feature is disabled (1.96 KB, patch)
2020-12-02 19:59 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 25583: (QA follow-up) Rephrase tooltip (1.40 KB, patch)
2020-12-07 21:12 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 25583: Improve wording (1.43 KB, patch)
2020-12-09 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-22 11:06:40 UTC
When you add a 'claimed returned' to an item, but ClaimReturnedLostValue is not set, the "Claims" tab won't display and cause some confusion.
Comment 1 Katrin Fischer 2020-05-22 22:53:29 UTC
*** Bug 25518 has been marked as a duplicate of this bug. ***
Comment 2 Jonathan Druart 2020-10-15 09:10:00 UTC
In master at least, you cannot click "claim returned" if the pref is not set. I am not sure this is (still) valid.

Can you close or clarify?
Comment 3 Katrin Fischer 2020-10-15 23:36:28 UTC
I just retested on master, this is what I see:

- Make sure ClaimReturnedLostValue is empty
- Go to a patron account
- Check out an item
- Make the claims returned column visible in the table of checkouts
- Click "Claim returned"
- Modal opens
- Make claim (submit)
- The item is now "claimed returned" in the checkouts tab, but the claims tab is not showing
Comment 4 Andrew Fuerste-Henry 2020-11-18 21:43:51 UTC
This is sort of at odds with bug 24767, in which we hid the claims tab if the value is not set.

Katrin, your test plan sort of sneaks up on Claims, by using the Columns button to show the Return Claims column that would otherwise be hidden. Is the answer here to just not allow one to reveal the claims column at all when ClaimReturnedLostValue is not set?
Comment 5 Jonathan Druart 2020-11-20 08:20:52 UTC
Created attachment 113867 [details] [review]
Bug 25583: Disable the "claim returned" button if the feature is disabled

It's possible to display the "Return claims" column on the checkout
list, even if the feature is disabled.
We should disable the link and add an explanation.

Test plan:
- Make sure ClaimReturnedLostValue is empty
- Go to a patron account
- Check out an item
- Make the claims returned column visible in the table of checkouts
=> The button is disabled and a tooltip explains that the feature is
disabled
Comment 6 Kyle M Hall 2020-11-20 11:56:33 UTC
Created attachment 113878 [details] [review]
Bug 25583: Disable the "claim returned" button if the feature is disabled

It's possible to display the "Return claims" column on the checkout
list, even if the feature is disabled.
We should disable the link and add an explanation.

Test plan:
- Make sure ClaimReturnedLostValue is empty
- Go to a patron account
- Check out an item
- Make the claims returned column visible in the table of checkouts
=> The button is disabled and a tooltip explains that the feature is
disabled

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Victor Grousset/tuxayo 2020-12-02 19:59:16 UTC
Created attachment 114108 [details] [review]
Bug 25583: Disable the "claim returned" button if the feature is disabled

It's possible to display the "Return claims" column on the checkout
list, even if the feature is disabled.
We should disable the link and add an explanation.

Test plan:
- Make sure ClaimReturnedLostValue is empty
- Go to a patron account
- Check out an item
- Make the claims returned column visible in the table of checkouts
=> The button is disabled and a tooltip explains that the feature is
disabled

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 8 Victor Grousset/tuxayo 2020-12-02 21:16:47 UTC
It works :)

About the phrasing, should we say "Claim returned is disabled" or "Return claims are disabled"?
Comment 9 Victor Grousset/tuxayo 2020-12-07 21:12:54 UTC
Created attachment 114245 [details] [review]
Bug 25583: (QA follow-up) Rephrase tooltip
Comment 10 Victor Grousset/tuxayo 2020-12-07 21:26:51 UTC
Here is an optional follow-up to rephrase with "Return claims are disabled"

Release manager can pick this phrasing or the original one. I did a poll on IRC and got only one participant so not sure which is best.
Comment 11 Jonathan Druart 2020-12-09 10:50:43 UTC
Created attachment 114276 [details] [review]
Bug 25583: Improve wording
Comment 12 Jonathan Druart 2020-12-09 10:51:32 UTC
< kidclamp> yeah, the phrase is a little awkward either way but I think it makes sense
< Joubu> what would be a less awkward phrase?
* ashimema reads
< kidclamp> 'Claim returned' has become a thing in libraries, I think that is what makes it awkward, that those two words now go together as a pair
< kidclamp> "Claim an item was returned" 'Claim this issue was returned" - its shorthand for things like that
< ashimema> I think without the patch is better personally..
< ashimema> as it matches the content of the later string
< ashimema> 'Claim returned' and 'Claim returned is disabled' feel like they go together
< ashimema> could even be 'This is disabled'
< Joubu> "This feature is disabled"?
< ashimema> that would work for me :)
< kidclamp> "ClaimReturnedLostValue is not set, this feature is disabled"
Comment 13 Jonathan Druart 2020-12-09 10:53:16 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 14 Fridolin Somers 2020-12-10 10:35:42 UTC
Pushed to 20.11.x for 20.11.01
Comment 15 Andrew Fuerste-Henry 2020-12-17 15:49:55 UTC
Pushed to 20.05.x for 20.05.07
Comment 16 Victor Grousset/tuxayo 2020-12-17 16:40:20 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.